server {

    listen 8001;
    server_name www.sgsino.cn;
    access_log /var/log/factory.log main;
    error_log /var/log/err.log error;
    location / {
        root   /usr/share/nginx/html;
        index  index.html;
    try_files $uri $uri/ /index.html;
    }
    location ^~ /mallj/ {
       proxy_pass http://192.168.20.16:8085/;
       proxy_connect_timeout 15s;
       proxy_send_timeout 15s;
       proxy_read_timeout 15s;
       proxy_set_header X-Real-IP $remote_addr;
       proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
    }
}
